### Method

# Gdk DrawContext end_frame

deprecated: 4.16

#### Declaration [src]

    void
    gdk_draw_context_end_frame (
      GdkDrawContext* context
    )

#### Description [src]

Ends a drawing operation started with gdk_draw_context_begin_frame().

This makes the drawing available on screen. See `gdk_draw_context_begin_frame()` for more details about drawing.

When using a `GdkGLContext`, this function may call `glFlush()` implicitly before returning; it is not recommended to call `glFlush()` explicitly before calling this function.

Deprecated since: 4.16

Drawing directly to the surface is no longer recommended. Use `GskRenderNode` and `GskRenderer`.